Returns non-deleted publisher sites matching the given list of site IDs.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/sites/ids.do
Returns non-deleted publisher sites matching the given list of site IDs. Requires ALL or SHARED level VIEW permission on INVENTORY. When using SHARED level, only sites with an active share to the requester are returned. Set basicInfo to true to include additional details like URL, email, and contact information.
Query Params
siteIdsarray<integer>required
Array of site IDs to retrieve
5001
basicInfoboolean
If true, includes additional site details such as URL, email, and contact info
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/sites/ids.do?siteIds=5001&basicInfo=true");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());